Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServ

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<InetServ>
ru.bitel.bgbilling.modules.inet.common.bean.InetServ

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `Contractable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<InetServ>`, `TreeNode<InetServ>`

    public final class InetServ
    extends AbstractTreeNode<InetServ>
    implements java.lang.Cloneable, TreeNode<InetServ>, Contractable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static short` | `STATE_DELETED` | Состояние сервиса - удален (со связанных устройств).
  `static short` | `STATE_DISABLE` | Состояние сервиса/соединения - доступ отключен.
  `static short` | `STATE_ENABLE` | Состояние сервиса/соединения - доступ включен.
  `static short` | `STATE_NULL` | Состояние сервиса - означает, что состояние не изменилось.
  `static int` | `STATUS_ACTIVE` |
  `static int` | `STATUS_CLOSED` |
  `static int` | `STATUS_LOCKED` |

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetServ()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InetServ` | `clone()` |
  `int` | `getAccessCode()` |
  `java.lang.String` | `getAccessCodeTitle()` |
  `byte[]` | `getAddressFrom()` |
  `byte[]` | `getAddressTo()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` | Возвращает код договора к которому привязан объект.
  `int` | `getContractObjectId()` |
  `java.lang.String` | `getContractTitle()` | Возвращает название договора
  `java.lang.String` | `getData()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `byte[]` | `getDelegatedIPv6Prefix()` |
  `short` | `getDelegatedIPv6PrefixLength()` |
  `int` | `getDelegatedIPv6PrefixResourceId()` |
  `int` | `getDelegatedIPv6PrefixResourceSubscriptionId()` |
  `int` | `getDeviceId()` |
  `java.util.Set<java.lang.Integer>` | `getDeviceOptions()` |
  `short` | `getDeviceState()` | Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке) При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
  `java.lang.String` | `getDeviceTitle()` |
  `byte[]` | `getFramedIPAddress()` |
  `byte[]` | `getFramedIPv6Address()` |
  `int` | `getFramedIPv6AddressResourceId()` |
  `byte[]` | `getFramedIPv6Prefix()` |
  `short` | `getFramedIPv6PrefixLength()` |
  `int` | `getFramedIPv6PrefixResourceId()` |
  `int` | `getFramedIPv6PrefixResourceSubscriptionId()` |
  `java.util.List<java.lang.String>` | `getIdentifierList()` |
  `int` | `getInterfaceId()` |
  `java.lang.String` | `getInterfaceTitle()` |
  `int` | `getIpResourceId()` |
  `int` | `getIpResourceSubscriptionId()` |
  `java.lang.String` | `getLogin()` |
  `byte[]` | `getMacAddress()` | Deprecated.
  `java.util.List<byte[]>` | `getMacAddressList()` |
  `byte[]` | `getMacAddressListBytes()` |
  `java.lang.String` | `getPassword()` |
  `int` | `getSessionCountLimit()` |
  `short` | `getState()` | Deprecated.
  `int` | `getStatus()` |
  `int` | `getSuperContractId()` | Deprecated.
  `int` | `getTypeId()` |
  `java.lang.String` | `getTypeTitle()` |
  `int` | `getVlan()` |
  `static java.lang.String` | `macAddressToString​(byte[] macAddress)` |
  `static byte[]` | `parseMacAddress​(java.lang.String macAddress)` |
  `void` | `setAccessCode​(int accessCode)` |
  `void` | `setAccessCodeTitle​(java.lang.String deviceStateTitle)` |
  `void` | `setAddressFrom​(byte[] addressFrom)` |
  `void` | `setAddressTo​(byte[] addressTo)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` | Устанавливает код договора к которому привязан объект.
  `void` | `setContractObjectId​(int contractObjectId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` | Устанавливает название договора
  `void` | `setData​(java.lang.String data)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setDelegatedIPv6Prefix​(byte[] prefix)` |
  `void` | `setDelegatedIPv6PrefixLength​(short length)` |
  `void` | `setDelegatedIPv6PrefixResourceId​(int resourceId)` |
  `void` | `setDelegatedIPv6PrefixResourceSubscriptionId​(int subscriptionId)` |
  `void` | `setDeviceId​(int inetDeviceId)` |
  `void` | `setDeviceOptions​(java.util.Set<java.lang.Integer> currentInetOptionSet)` |
  `void` | `setDeviceState​(short currentState)` | Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке) При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
  `void` | `setDeviceTitle​(java.lang.String deviceTitle)` |
  `void` | `setFramedIPAddress​(byte[] address)` |
  `void` | `setFramedIPv6Address​(byte[] address)` |
  `void` | `setFramedIPv6AddressResourceId​(int resourceId)` |
  `void` | `setFramedIPv6Prefix​(byte[] prefix)` |
  `void` | `setFramedIPv6PrefixLength​(short length)` |
  `void` | `setFramedIPv6PrefixResourceId​(int resourceId)` |
  `void` | `setFramedIPv6PrefixResourceSubscriptionId​(int subscriptionId)` |
  `void` | `setIdentifierList​(java.util.List<java.lang.String> identifierList)` |
  `void` | `setInterfaceId​(int portId)` |
  `void` | `setInterfaceTitle​(java.lang.String interfaceTitle)` |
  `void` | `setIpResourceId​(int ipResourceId)` |
  `void` | `setIpResourceSubscriptionId​(int ipResourceSubscriptionId)` |
  `void` | `setLogin​(java.lang.String login)` |
  `void` | `setMacAddress​(byte[] macAddress)` | Deprecated.
  `void` | `setMacAddressList​(java.util.List<byte[]> macAddress)` |
  `void` | `setMacAddressListBytes​(byte[] macAddressListBytes)` |
  `void` | `setPassword​(java.lang.String password)` |
  `void` | `setSessionCountLimit​(int sessions)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSuperContractId​(int superContractId)` | Deprecated.
  `void` | `setTypeId​(int inetServId)` |
  `void` | `setTypeTitle​(java.lang.String servTypeTitle)` |
  `void` | `setVlan​(int vlanId)` |
  `java.lang.String` | `toString()` |
  `static java.lang.String` | `toString​(InetServ val)` |

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.TreeNode

  `getChildren`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      Constant Field Values

  - ### STATUS_CLOSED

    public static final int STATUS_CLOSED
    See Also:
      Constant Field Values

  - ### STATUS_LOCKED

    public static final int STATUS_LOCKED
    See Also:
      Constant Field Values

  - ### STATE_NULL

    public static final short STATE_NULL
    Состояние сервиса - означает, что состояние не изменилось.
    See Also:
      Constant Field Values

  - ### STATE_DELETED

    public static final short STATE_DELETED
    Состояние сервиса - удален (со связанных устройств).
    See Also:
      Constant Field Values

  - ### STATE_DISABLE

    public static final short STATE_DISABLE
    Состояние сервиса/соединения - доступ отключен.
    See Also:
      Constant Field Values

  - ### STATE_ENABLE

    public static final short STATE_ENABLE
    Состояние сервиса/соединения - доступ включен.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### InetServ

    public InetServ()

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### setContractId

    public void setContractId​(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### getContractTitle

    public java.lang.String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getSuperContractId

    @Deprecated public int getSuperContractId()
    Deprecated.

  - ### setSuperContractId

    @Deprecated public void setSuperContractId​(int superContractId)
    Deprecated.
    Код супер договора для зависимого субдоговора, иначе - 0

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int inetServId)

  - ### getTypeTitle

    public java.lang.String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle​(java.lang.String servTypeTitle)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId​(int inetDeviceId)

  - ### getDeviceTitle

    public java.lang.String getDeviceTitle()

  - ### setDeviceTitle

    public void setDeviceTitle​(java.lang.String deviceTitle)

  - ### getInterfaceId

    public int getInterfaceId()

  - ### setInterfaceId

    public void setInterfaceId​(int portId)

  - ### getInterfaceTitle

    public java.lang.String getInterfaceTitle()

  - ### setInterfaceTitle

    public void setInterfaceTitle​(java.lang.String interfaceTitle)

  - ### getVlan

    public int getVlan()

  - ### setVlan

    public void setVlan​(int vlanId)

  - ### getIdentifierList

    public java.util.List<java.lang.String> getIdentifierList()

  - ### setIdentifierList

    public void setIdentifierList​(java.util.List<java.lang.String> identifierList)

  - ### getMacAddressList

    public java.util.List<byte[]> getMacAddressList()

  - ### setMacAddressList

    public void setMacAddressList​(java.util.List<byte[]> macAddress)

  - ### getMacAddress

    @Deprecated public byte[] getMacAddress()
    Deprecated.

  - ### getMacAddressListBytes

    public byte[] getMacAddressListBytes()

  - ### setMacAddress

    @Deprecated public void setMacAddress​(byte[] macAddress)
    Deprecated.

  - ### setMacAddressListBytes

    public void setMacAddressListBytes​(byte[] macAddressListBytes)

  - ### getIpResourceSubscriptionId

    public int getIpResourceSubscriptionId()

  - ### setIpResourceSubscriptionId

    public void setIpResourceSubscriptionId​(int ipResourceSubscriptionId)

  - ### getIpResourceId

    public int getIpResourceId()

  - ### setIpResourceId

    public void setIpResourceId​(int ipResourceId)

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom​(byte[] addressFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo​(byte[] addressTo)

  - ### getLogin

    public java.lang.String getLogin()

  - ### setLogin

    public void setLogin​(java.lang.String login)

  - ### getPassword

    public java.lang.String getPassword()

  - ### setPassword

    public void setPassword​(java.lang.String password)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getSessionCountLimit

    public int getSessionCountLimit()

  - ### setSessionCountLimit

    public void setSessionCountLimit​(int sessions)

  - ### getDeviceState

    public short getDeviceState()
    Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
    При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

  - ### setDeviceState

    public void setDeviceState​(short currentState)
    Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
    При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

  - ### getAccessCodeTitle

    public java.lang.String getAccessCodeTitle()

  - ### setAccessCodeTitle

    public void setAccessCodeTitle​(java.lang.String deviceStateTitle)

  - ### getDeviceOptions

    public java.util.Set<java.lang.Integer> getDeviceOptions()

  - ### setDeviceOptions

    public void setDeviceOptions​(java.util.Set<java.lang.Integer> currentInetOptionSet)

  - ### getAccessCode

    public int getAccessCode()

  - ### setAccessCode

    public void setAccessCode​(int accessCode)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getState

    @Deprecated public short getState()
    Deprecated.

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getContractObjectId

    public int getContractObjectId()

  - ### setContractObjectId

    public void setContractObjectId​(int contractObjectId)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)

  - ### getFramedIPAddress

    public byte[] getFramedIPAddress()

  - ### setFramedIPAddress

    public void setFramedIPAddress​(byte[] address)

  - ### getFramedIPv6Address

    public byte[] getFramedIPv6Address()

  - ### setFramedIPv6Address

    public void setFramedIPv6Address​(byte[] address)

  - ### getFramedIPv6AddressResourceId

    public int getFramedIPv6AddressResourceId()

  - ### setFramedIPv6AddressResourceId

    public void setFramedIPv6AddressResourceId​(int resourceId)

  - ### getFramedIPv6Prefix

    public byte[] getFramedIPv6Prefix()

  - ### setFramedIPv6Prefix

    public void setFramedIPv6Prefix​(byte[] prefix)

  - ### getFramedIPv6PrefixLength

    public short getFramedIPv6PrefixLength()

  - ### setFramedIPv6PrefixLength

    public void setFramedIPv6PrefixLength​(short length)

  - ### getFramedIPv6PrefixResourceId

    public int getFramedIPv6PrefixResourceId()

  - ### setFramedIPv6PrefixResourceId

    public void setFramedIPv6PrefixResourceId​(int resourceId)

  - ### getFramedIPv6PrefixResourceSubscriptionId

    public int getFramedIPv6PrefixResourceSubscriptionId()

  - ### setFramedIPv6PrefixResourceSubscriptionId

    public void setFramedIPv6PrefixResourceSubscriptionId​(int subscriptionId)

  - ### getDelegatedIPv6Prefix

    public byte[] getDelegatedIPv6Prefix()

  - ### setDelegatedIPv6Prefix

    public void setDelegatedIPv6Prefix​(byte[] prefix)

  - ### getDelegatedIPv6PrefixLength

    public short getDelegatedIPv6PrefixLength()

  - ### setDelegatedIPv6PrefixLength

    public void setDelegatedIPv6PrefixLength​(short length)

  - ### getDelegatedIPv6PrefixResourceId

    public int getDelegatedIPv6PrefixResourceId()

  - ### setDelegatedIPv6PrefixResourceId

    public void setDelegatedIPv6PrefixResourceId​(int resourceId)

  - ### getDelegatedIPv6PrefixResourceSubscriptionId

    public int getDelegatedIPv6PrefixResourceSubscriptionId()

  - ### setDelegatedIPv6PrefixResourceSubscriptionId

    public void setDelegatedIPv6PrefixResourceSubscriptionId​(int subscriptionId)

  - ### clone

    public InetServ clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### toString

    public static java.lang.String toString​(InetServ val)

  - ### parseMacAddress

    public static byte[] parseMacAddress​(java.lang.String macAddress)

  - ### macAddressToString

    public static java.lang.String macAddressToString​(byte[] macAddress)